using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{

	[FlipableAttribute(0x26CE, 0x26CF)]
	public class Claymore : BaseSword
	{
		public override WeaponAbility PrimaryAbility{ get{ return WeaponAbility.Disarm; } }
		public override WeaponAbility SecondaryAbility{ get{ return WeaponAbility.ParalyzingBlow; } }

		public override int AosStrengthReq{ get{ return 100; } }
		public override int AosMinDamage{ get{ return 20; } }
		public override int AosMaxDamage{ get{ return 22; } }
		public override int AosSpeed{ get{ return 22; } }

		public override int OldStrengthReq{ get{ return 100; } }
		public override int OldMinDamage{ get{ return 20; } }
		public override int OldMaxDamage{ get{ return 22; } }
		public override int OldSpeed{ get{ return 22; } }

		public override int DefHitSound{ get{ return 0x237; } }
		public override int DefMissSound{ get{ return 0x238; } }

		public override int InitMinHits{ get{ return 100; } }
		public override int InitMaxHits{ get{ return 200; } }



		[Constructable]
		public Claymore() : base( 0x26CF )
		{
			Weight = 10.0;

			Layer = Layer.TwoHanded;

			Name = "Claymore";
		}
		
		public Claymore( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); //version
		}
		
		public override void Deserialize( GenericReader reader)
		{
			base.Deserialize( reader );
		
			int version = reader.ReadInt();
		}
	}
}
		